# $Revision: 1.57 $, $Date: 2012/01/20 13:17:36 $
Summary:	GNU uucp
Summary(de.UTF-8):	GNU-uucp
Summary(es.UTF-8):	Uucp de la GNU
Summary(fr.UTF-8):	uucp de GNU
Summary(pl.UTF-8):	GNU uucp
Summary(pt_BR.UTF-8):	Uucp da GNU
Summary(ru.UTF-8):	GNU uucp
Summary(tr.UTF-8):	GNU uucp sistemi
Summary(uk.UTF-8):	GNU uucp
Name:		uucp
Version:	1.07
Release:	6
License:	GPL
Group:		Networking
Source0:	ftp://ftp.gnu.org/pub/gnu/uucp/%{name}-%{version}.tar.gz
# Source0-md5:	64c54d43787339a7cced48390eb3e1d0
Source1:	%{name}.logrotate
Source2:	%{name}.inetd
Source3:	%{name}.crontab
Source4:	http://www.mif.pg.gda.pl/homepages/ankry/man-PLD/%{name}-non-english-man-pages.tar.bz2
# Source4-md5:	47994a0f9fc7acaadc5cfff6b01f6728
Patch0:		%{name}-misc.patch
Patch1:		%{name}-debian.patch
Patch2:		%{name}-ac.patch
Patch3:		%{name}-pipe.patch
Patch4:		%{name}-no_libnsl.patch
URL:		http://lists.cirr.com/cgi-bin/wilma/taylor-uucp/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	rpmbuild(macros) >= 1.268
BuildRequires:	texinfo
Conflicts:	logrotate < 3.8.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
UUCP is a Unix to Unix transfer mechanism. It is used primarily for
remote sites to download and upload email and news files to local
machines. If you didn't already know that, you probably don't need
this package installed. :-)

%description -l de.UTF-8
UUCP ist ein Unix-nach-Unix-Übertragungsprotokoll. Es wird vor allem
verwendet, um E-Mail- und News-Dateien von entfernten auf lokale
Rechner herunter- bzw. umgekehrt hochzuladen. Wie Sie wahrscheinlich
wissen, müssen Sie das Paket wahrscheinlich nicht installieren. :-)

%description -l es.UTF-8
UUCP es un mecanismo de transferencia de Unix para Unix. Se usa
primeramente en sitios remotos para hacer download y upload de
archivos de mail y news para máquinas locales. Si no lo sabias,
probablemente no necesitas de este paquete instalado. :-)

%description -l fr.UTF-8
UUCP est un mécanisme de transfert d'UNIX à UNIX. Il est
principalement utilisés par les sites de connexion pour télécharger ou
envoyer des courriers èlèctroniques et des nouvelles sur les machines
locales. Si vous ne saviez pas déja cela, vous n'avez probablement pas
besoin d'insatller ce package.

%description -l pl.UTF-8
UUCP (Unix to Unix Copy Protocol) jest jednym z podstawowych
protokołów systemu Linux. Używany jest przede wszystkim do wysyłania i
pobierania przesyłek newsów oraz poczty elektronicznej między
maszynami połączonymi np. przez modem.

%description -l pt_BR.UTF-8
UUCP é um mecanismo de transferência de Unix para Unix. Ele é usado
primeiramente em sites remotos para fazer download e upload de
arquivos de mail e news para máquinas locais. Se você não sabia disso,
você provavelmente não precisa deste pacote instalado. :-)

%description -l ru.UTF-8
UUCP - это механизм передачи файлов между UNIX-системами. В основном
используется для обмена почтой и телеконференциями между машинами.
Если вы этого не знали, вам этот пакет не нужен :-))

%description -l tr.UTF-8
UUCP bir Unix'ten Unix'e iletim mekanizmasıdır. Uzak sitelerden yerel
sisteme e-posta ve haber öbekleri aktarımı için kullanılır. Bunun ne
olduğunu bilmiyorsanız, büyük olasılıkla işinize de yaramayacaktır.
:-)

%description -l uk.UTF-8
UUCP - це механізм передачі файлів між UNIX-системами. Здебільшого
використовується для обміну поштою та телеконференціями між машинами.
Якщо ви цього не знали, вам цей пакет не потрібен :-))

%package server
Summary:	GNU uucp server
Summary(de.UTF-8):	GNU-uucp
Summary(fr.UTF-8):	uucp de GNU
Summary(pl.UTF-8):	Serwer GNU uucp
Group:		Networking
Requires:	%{name} = %{version}-%{release}

%description server
GNU uucp server.

%description server -l pl.UTF-8
Serwer GNU uucp.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

find . -name "*.perlpath" | xargs rm -f

%build
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--with-newconfigdir=%{_sysconfdir}/uucp \
	--with-oldconfigdir=%{_sysconfdir}/uucp/oldconfig

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT/var/{lock/uucp,spool/{uucp,uucppublic}}
install -d $RPM_BUILD_ROOT/var/log/{uucp,archive/uucp}
install -d $RPM_BUILD_ROOT/etc/{sysconfig/rc-inetd,cron.d,logrotate.d}
install -d $RPM_BUILD_ROOT%{_sysconfdir}/uucp/oldconfig

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	OWNER=$(id -u)

install %{SOURCE1} $RPM_BUILD_ROOT/etc/logrotate.d/uucp
install %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/rc-inetd/uucp
install %{SOURCE3} $RPM_BUILD_ROOT/etc/cron.d/uucp
bzip2 -dc %{SOURCE4} | tar xf - -C $RPM_BUILD_ROOT%{_mandir}

# Create empty files
for n in Log Stats Debug; do
	touch $RPM_BUILD_ROOT/var/log/uucp/$n
done

for i in dial passwd port dialcode sys call ; do
cat > $RPM_BUILD_ROOT%{_sysconfdir}/uucp/$i <<EOF
# This is an example of a $i file. This file have the syntax compatible
# with Taylor UUCP (not HDB, not anything else). Please check uucp
# documentation if you are not sure how Taylor config files are supposed to
# look like. Edit it as appropriate for your system.

# Everything after a '#' character is a comment.
EOF
done

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p	/sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%post server
%service -q rc-inetd reload

%postun	-p	/sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun server
if [ "$1" = 0 ]; then
	%service -q rc-inetd reload
fi

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO sample contrib

%attr(750,uucp,root) %dir %{_sysconfdir}/uucp
%attr(755,uucp,root) %dir %{_sysconfdir}/uucp/oldconfig

%attr(640,uucp,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/uucp/ca*
%attr(640,uucp,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/uucp/di*
%attr(640,uucp,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/uucp/p*
%attr(640,uucp,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/uucp/sys

%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/logrotate.d/uucp
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/cron.d/%{name}

%attr(4554,uucp,uucp) %{_bindir}/cu
%attr(4554,uucp,uucp) %{_bindir}/uucp
%attr(755,root,root) %{_bindir}/uulog
%attr(4554,uucp,uucp) %{_bindir}/uuname
%attr(755,root,root) %{_bindir}/uupick
%attr(4554,uucp,uucp) %{_bindir}/uustat
%attr(755,root,root) %{_bindir}/uuto
%attr(4554,uucp,uucp) %{_bindir}/uux

%{_infodir}/uucp.*

%{_mandir}/man[18]/*
%lang(fi) %{_mandir}/fi/man[18]/*
%lang(ja) %{_mandir}/ja/man[18]/*
%lang(pl) %{_mandir}/pl/man[18]/*

%attr(755,uucp,uucp) %{_sbindir}/uuchk
%attr(4554,uucp,uucp) %{_sbindir}/uucico
%attr(755,uucp,uucp) %{_sbindir}/uuconv
%attr(755,root,root) %{_sbindir}/uusched
%attr(4554,uucp,uucp) %{_sbindir}/uuxqt

%attr(755,uucp,uucp) %dir /var/spool/uucppublic
%attr(755,uucp,uucp) %dir /var/spool/uucp

%attr(750,uucp,root) %dir /var/log/uucp
%attr(750,uucp,root) %dir /var/log/archive/uucp
%attr(750,uucp,root) %dir /var/lock/uucp
%attr(640,uucp,root) %config(noreplace) %verify(not md5 mtime size) /var/log/uucp/Debug
%attr(640,uucp,root) %config(noreplace) %verify(not md5 mtime size) /var/log/uucp/Log
%attr(640,uucp,root) %config(noreplace) %verify(not md5 mtime size) /var/log/uucp/Stats

%files server
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/rc-inetd/uucp

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: uucp.spec,v $
Revision 1.57  2012/01/20 13:17:36  baggins
- rel 6
- logrotate 3.8.0 requires "su" option for non-root owned dirs

Revision 1.56  2009/08/31 06:08:26  glen
- release 5

Revision 1.55  2008/01/24 01:23:02  glen
- invoke fix-info-dir via /sbin/postshell where possible to avoid extra /bin/sh dep

Revision 1.54  2007-09-11 12:30:07  gotar
- oops, it's 3.7-4 not 3.7.4

Revision 1.53  2007/09/11 12:15:57  gotar
- C: logrotate < 3.7.4 due to archiv -> archive transition

Revision 1.52  2007/04/02 17:04:01  baggins
- rel 4

Revision 1.51  2007/04/02 16:55:18  baggins
- s|/var/log/archiv|/var/log/archive|g

Revision 1.50  2007/02/12 22:09:19  glen
- tabs in preamble

Revision 1.49  2007/02/12 01:06:35  baggins
- converted to UTF-8

Revision 1.48  2006/11/09 21:13:36  glen
- strict internal deps

Revision 1.47  2006/03/14 01:24:26  glen
- unified rc-inetd usage (via %service), adapterized

Revision 1.46  2005/12/13 15:35:56  glen
- adapterized (sorted %verify attrs)

Revision 1.45  2004/10/31 14:59:28  paladine
- spaces->tabs

Revision 1.44  2004/10/29 14:56:53  paladine
- spelling fixes

Revision 1.43  2004/10/10 01:35:58  undefine
- release 3

Revision 1.42  2004/09/23 10:56:37  kolodko
- added macros in /etc/logrotate.d

Revision 1.41  2004/09/20 00:07:42  havner
- [mass commit] rel up for amd64 rebuild

Revision 1.40  2003/08/18 08:09:36  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.39  2003/06/13 18:09:12  arekm
- updated to 1.07

Revision 1.38  2003/06/02 15:48:33  ankry
- added/restored non-english-man-pages URL

Revision 1.37  2003/05/28 13:02:31  malekith
- massive attack: source-md5

Revision 1.36  2003/05/25 06:27:37  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.35  2002/12/24 00:26:02  qboosh
- updated Source0 URL

Revision 1.34  2002/11/30 23:00:29  juandon
- new %doc

Revision 1.33  2002/10/07 21:30:15  ankry
- added noreplace to config files, rel. 6

Revision 1.32  2002/10/06 10:04:03  kloczek
- release 5.

Revision 1.31  2002/10/05 14:16:37  misiek
- added some URL (note that there is beta version of uucp 1.07)

Revision 1.30  2002/10/04 14:59:43  ankry
- modified attributes of suid (uucp) binaries to 4554

Revision 1.29  2002/10/04 09:16:44  kloczek
- merge translations from KSI and Conectiva,
- added no_libnsl patch (with correct tetection is linking with libnsl is neccessary),
- merge security patch from MDK,
- move uucp locks to /var/lock/uucp (patch lock) owbed by uucp.uucp,
- merge pipe patch from RH (fix to deny to use address in pipe ports).

Revision 1.28  2002/10/02 19:07:12  ankry
- separate -server package
- group changed to "Networking"
- new %doc
- release 4

Revision 1.27  2002/08/04 14:49:21  areq
- add ac.patch - remove LIBOBJS
- release 3, stbr

Revision 1.26  2002/06/25 14:54:34  ankry
- typo(s)

Revision 1.25  2002/05/21 23:14:52  kloczek
- perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
     s/^autoconf/\%\{__autoconf\}/"

Revision 1.24  2002/02/22 23:29:52  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.23  2002/01/18 02:15:16  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.22  2001/11/11 11:13:00  speedy
- BuildRequires: texinfo

Revision 1.21  2001/11/10 23:27:11  ankry
- added fi,ja,pl man pages
- release 2

Revision 1.20  2001/11/07 15:37:01  orzech
- improved scripts (%post and so on...)
- rel 1 for this verision, STBR

Revision 1.19  2001/10/06 22:43:58  qboosh
- BuildRequires: autoconf
- adapterized, removed gzipping man and info (let rpm do)

Revision 1.18  2001/10/06 22:15:53  ankry
- added patch for buggy autoconf

Revision 1.17  2001/07/26 05:42:25  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.15  2001/06/28 12:20:12  agaran
- uptated to 1.06.2 (but inside tarball we have still 1.06.1 in dirname)

Revision 1.14  2000/09/01 13:54:06  baggins
- release 6
- fixed logrotate config
